"""Add DomainCheck.results IS NULL index

Revision ID: 56e3305bb0c3
Revises: 389227821116
Create Date: 2025-02-11 13:08:38.056737+00:00

"""

from collections.abc import Sequence

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision: str = "56e3305bb0c3"
down_revision: str | None = "389227821116"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.create_index(
        "ix_dnscheck_domain_check_results_null",
        "dnscheck_domain_check",
        ["results"],
        unique=False,
        sqlite_where=sa.text("results IS NULL"),
        postgresql_where=sa.text("results IS NULL"),
    )


def downgrade() -> None:
    op.drop_index(
        "ix_dnscheck_domain_check_results_null",
        table_name="dnscheck_domain_check",
        sqlite_where=sa.text("results IS NULL"),
        postgresql_where=sa.text("results IS NULL"),
    )
