"""Add indexes

Revision ID: b235e2d83156
Revises: d4429c694a74
Create Date: 2025-02-06 12:00:46.401635+00:00

"""

from collections.abc import Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "b235e2d83156"
down_revision: str | None = "d4429c694a74"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.create_index(op.f("ix_dnscheck_nsset_check_finished_at"), "dnscheck_nsset_check", ["finished_at"], unique=False)
    op.create_index(op.f("ix_dnscheck_domain_check_started_at"), "dnscheck_domain_check", ["started_at"], unique=False)
    op.create_index(
        op.f("ix_dnscheck_domain_check_finished_at"), "dnscheck_domain_check", ["finished_at"], unique=False
    )


def downgrade() -> None:
    op.drop_index(op.f("ix_dnscheck_domain_check_finished_at"), table_name="dnscheck_domain_check")
    op.drop_index(op.f("ix_dnscheck_domain_check_started_at"), table_name="dnscheck_domain_check")
    op.drop_index(op.f("ix_dnscheck_nsset_check_finished_at"), table_name="dnscheck_nsset_check")
