"""Add indexes

Revision ID: d4429c694a74
Revises: 463c3c6b8fb3
Create Date: 2024-12-17 09:17:05.877637+00:00

"""

from collections.abc import Sequence

from alembic import op

# revision identifiers, used by Alembic.
revision: str = "d4429c694a74"
down_revision: str | None = "463c3c6b8fb3"
branch_labels: str | Sequence[str] | None = None
depends_on: str | Sequence[str] | None = None


def upgrade() -> None:
    op.create_index(
        op.f("ix_dnscheck_domain_check_nsset_check_id"), "dnscheck_domain_check", ["nsset_check_id"], unique=False
    )
    op.create_index(op.f("ix_dnscheck_domain_check_status"), "dnscheck_domain_check", ["status"], unique=False)


def downgrade() -> None:
    op.drop_index(op.f("ix_dnscheck_domain_check_status"), table_name="dnscheck_domain_check")
    op.drop_index(op.f("ix_dnscheck_domain_check_nsset_check_id"), table_name="dnscheck_domain_check")
